<!DOCTYPE HTML>

<html lang="en" xmlns:th="http://www.thymeleaf.org"
	xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity5">

<head>
<title>Achievents</title>

<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport"
	content="width=device-width, initial-scale=1, shrink-to-fit=no">

<!-- Bootstrap CSS -->
<link rel="stylesheet"
	href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"
	integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh"
	crossorigin="anonymous">
	<script type="text/javascript" src="/js/creazione-evento-form.js"></script>
</head>

<body style="background-color: #E3E2E6">

	<nav class="navbar navbar-expand-md navbar-dark fixed-top bg-dark">
		<a class="navbar-brand" href="/">Home</a>
		<button class="navbar-toggler" type="button" data-toggle="collapse"
			data-target="#navbarsExampleDefault"
			aria-controls="navbarsExampleDefault" aria-expanded="false"
			aria-label="Toggle navigation">
			<span class="navbar-toggler-icon"></span>
		</button>

		<div class="collapse navbar-collapse" id="navbarsExampleDefault">
			<ul class="navbar-nav mr-auto">
				<li class="nav-item active"><a class="nav-link"
					sec:authorize="!hasRole('ROLE_STUDENTE')" href="/eventi/full-list">Tutti gli eventi</a></li>
			</ul>
			<form class="form-inline my-2 my-lg-0">
				<input class="form-control mr-sm-2" type="text" placeholder="Search"
					aria-label="Search">
				<button class="btn btn-outline-success my-2 my-sm-0" type="submit">Search</button>
			</form>
		</div>
	</nav>
	
	<div class="container">
		
		<br><br><br><br>
		<h2>Aggiorna Evento</h2>
		<hr><br>

		<form id="form" action="#" th:action="@{/eventi/save}" th:object="${evento}"
			method="POST" onsubmit="return validateForm()">

			<!-- Add hidden form field to handle update -->
			<input type="hidden" th:field="*{id}" /> <input type="text"
				th:field="*{titolo}" id="titolo" class="form-control mb-4 col-4"
				placeholder="Titolo"> <textarea th:field="*{desc}"
				class="form-control mb-4 col-4" id="desc" placeholder="Descrizione"></textarea> <input
				type="text" th:field="*{settore}" id="settore" class="form-control mb-4 col-4"
				placeholder="Settore"> <input id="luogo" type="text"
				th:field="*{luogo}" class="form-control mb-4 col-4"
				placeholder="Luogo"> <input id="data" type="text" th:field="*{data}"
				class="form-control mb-4 col-4" placeholder="Data"> <input
				type="hidden" th:field="*{uniEv.iduniversita}" /> <input
				type="hidden" th:field="*{uniEv.nome}" /> <input type="hidden"
				th:field="*{uniEv.utenzaUni.username}" /> <input type="hidden"
				th:field="*{uniEv.utenzaUni.password}" /> <input type="hidden"
				th:field="*{uniEv.utenzaUni.enabled}" /> <input type="hidden"
				th:field="*{uniEv.utenzaUni.tipo}" />
			<button type="submit" class="btn btn-info col-2">Salva</button>
			<br><br>
		</form>
		<hr>
		<a th:href="@{/eventi/list(username=${#authentication.name})}">Indietro</a>
	</div>
</body>

</html>